/* Arkiv */
body.post-type-archive-repris main {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0 3rem;
    max-width: var(--wide-size);
    margin:2rem auto 0;
}
#swplay-aside h1 {
    font-size: clamp(28px,3vw,2.5rem);
    margin:0 0 1rem;
}
#swplay-aside h2 {
    font-size: var(--font-size-base);
    font-weight: 400;
    margin:0 0 1rem;
}
.swplay-title {
    width:100%;
    max-width: var(--wide-size);
    margin:1rem auto 0;
}
.swplay-title h1, .swplay-title p {
    max-width:800px;
}

#swplay-aside {
    flex-basis: 20%;
    flex-grow: 1;
    font-size: .9rem;
    font-weight: 300;
    /*padding:1rem;
    border-radius:1.5rem;
    box-shadow: 0 0 20px rgba(0,0,0,0.1);
    position:sticky;
    top:4rem;*/
}
#swplay-filter-wrap {
    /* border-top: 1px solid var(--color-primary);
    border-bottom: 1px solid var(--color-primary); */
    padding:1rem 0;
    margin: 1rem 0;
}

#swplay-main {
    flex-grow:1;
    flex-basis: 75%;
    font-size: var(--font-size-sm);
    font-weight: 300;
}

.loop-header {
    font-size: var(--font-size-base);
}

.swplay-wrapper {
    display: flex;
    flex-wrap:wrap;
    gap:1rem;
    font-size: .8rem;
    font-weight: 300;
}
.swplay-item {
    width:23%;
    flex-grow:1;
    line-height: 1.6;
}
.swplay-wrapper a {
    cursor: pointer;
    text-decoration: none;
    color:var(--color-text);
    font-weight: 300;
}
@media(max-width: 992px) {
    .swplay-item {
        width:30%;
    }
}
@media(max-width: 768px) {
    .swplay-item{
        width:47%;
    }
}
.swplay-wrapper .swplay-item:hover .item-img {
    transform: scale(1.015);
}
.swplay-wrapper .item-img {
    position: relative;
    aspect-ratio: 16/9;
    background-color: #eee;
    border-radius:.6rem;
    transition: all .1s ease-in-out;
    overflow: hidden;
}
.swplay-wrapper .item-img img {
    width:100%;
    height:100%;
    object-fit: cover;
}
/* .swplay-wrapper .item-img::before {
    content:'';
    width: 24px;
    height: 24px;
    background: url('../img/play-icon.svg') no-repeat center center;
    display: block;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
} */
.swplay-wrapper .item-details {
    padding:.7rem .1rem 0;
}
.swplay-wrapper h2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-size: .85rem;
    line-height: 1.4;
    font-weight: 400;
    margin:0 0 .2rem;
}

/* FACET */
.swplay-filters__summary {
    display: none;
}
.swplay-filters__summary::after {
    content: '';
    display: inline-block;
    width: 1em;
    height: 1em;
    transition: .3s ease-in-out;
    background-color: var(--color-primary);
    mask-image: url('data:image/svg+xml;utf8,<svg id="Lager_1" xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 23.88 23.88"><path class="st1" d="M23.88,11.94c0,.55-.45,1-1,1h-9.94v9.94c0,.55-.45,1-1,1s-1-.45-1-1v-9.94H1c-.55,0-1-.45-1-1s.45-1,1-1h9.94V1c0-.55.45-1,1-1s1,.45,1,1v9.94h9.94c.55,0,1,.45,1,1Z"/></svg>');
    mask-repeat: no-repeat;
    mask-size: contain;
    -webkit-mask-image: url('data:image/svg+xml;utf8,<svg id="Lager_1" xmlns="http://www.w3.org/2000/svg" version="1.1" viewBox="0 0 23.88 23.88"><path class="st1" d="M23.88,11.94c0,.55-.45,1-1,1h-9.94v9.94c0,.55-.45,1-1,1s-1-.45-1-1v-9.94H1c-.55,0-1-.45-1-1s.45-1,1-1h9.94V1c0-.55.45-1,1-1s1,.45,1,1v9.94h9.94c.55,0,1,.45,1,1Z"/></svg>');
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: contain;
}

details#swplay-filters[open] .swplay-filters__summary::after {
    transform: rotate(45deg);
}
@media (max-width: 1040px) {
    #swplay-filter-wrap {
        margin:0 0 1rem;
        padding:1.5rem;
        background:#fff;
        border-radius: 1rem;
        border:1px solid #dadada;
    }
    .swplay-filters__summary {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: 1px solid var(--color-text);
        border-radius:.5rem;
        padding: .5rem 1rem;
        margin-bottom: 1rem;
        cursor: pointer;
    }
    h2#filter-sok {
        display: none;
    }
    .swplay-filters[open] #swplay-filter-wrap {
        animation: swplayFilterDrop 0.4s ease-out;
    }
    .swplay-filters[open] .swplay-filters__summary {
        background-color: #fff;
    }

    @keyframes swplayFilterDrop {
        from {
            opacity: 0;
            transform: translateY(-8px);
        }
        to {
            opacity: 1;
            transform: translateY(0);
        }
    }
}

#swplay-aside .facetwp-facet {
    margin-bottom:2rem;
}
.facetwp-facet.facetwp-facet-arr {
    margin-bottom:.5rem!important;
}

.facetwp-facet-more {
    flex-basis:100%;
    text-align: center;
    margin-top:2rem;
}
.facetwp-facet-more button {
    appearance: unset;
    -webkit-appearance: unset;
    font-family: inherit;
    font-size: var(--font-size-sm);
    color:var(--color-primary);
    cursor: pointer;
    background:none;
    padding:.5rem 1.5rem;
    border:2px solid var(--color-primary);
    border-radius:1rem;
}
.facetwp-facet.facetwp-facet-resultat {
    margin-bottom:.5rem;
}
#swplay-filter-wrap .facetwp-type-checkboxes,#swplay-filter-wrap .facetwp-type-radio, .facetwp-overflow {
    display: flex;
    flex-wrap: wrap;
    gap:.5rem;
}
#swplay-filter-wrap .facetwp-checkbox, #swplay-filter-wrap .facetwp-radio {
    display: inline-block;
    background: none;
    padding:0 .6rem;
    margin:0;
    border:1px solid var(--color-primary);
    border-radius:.5rem;
    font-size: 12px;
}
.facetwp-radio.checked, .facetwp-checkbox.checked {
    background-color: var(--color-primary)!important;
    color:var(--color-background)!important;
}

.facetwp-selections ul {
    margin: 20px 0;
    padding:0;
    font-size:var(--font-size-xs);
}
.facetwp-selections ul::before {
    content:'Dina val: ';
    font-weight:400;
    margin-right: .5rem;
}

.facetwp-selections li {
    display: inline-block;
    margin: 0 6px 6px 0;
    padding: 6px 10px;
    list-style-type: none;
    border: 1px solid var(--color-primary);
    border-radius: .5rem;
}

.facetwp-selections .facetwp-selection-value {
    color: #6233ca;
}

.facetwp-selections .facetwp-selection-value:hover {
    text-decoration: underline;
}

.facetwp-selections .facetwp-selection-label + .facetwp-selection-value {
    margin-left: 4px;
}

.facetwp-selections .facetwp-selection-value:last-child {
    margin-right: 0;
}

#swplay-aside .facetwp-facet input.facetwp-search,
    .facetwp-facet input.facetwp-location,
    .facetwp-input-wrap {
      width: 100%;
    }
.facetwp-facet-sok input {
    padding:.5rem 1rem;
    border:1px solid var(--color-text);
    border-radius:.5rem;
    background:none;
    font-family: inherit;
    font-size: .8rem;
    font-weight:300;
}
.facetwp-icon::before {
    background-size: 12px!important;
}
.fs-wrap {
    min-width: 100%;
}
.fs-label-wrap {
    background-color: var(--color-background)!important;
    border: 1px solid var(--color-text)!important;
    border-radius: .5rem;
    padding: .2rem .5rem;
}
@media(max-width: 1040px) {
    .fs-label-wrap {
        background-color: #fff!important;
    }
}
.fs-label-wrap .fs-arrow {
    right:12px;
}
/* Single */
.swp-video {
    width: 100%;
    max-width: var(--wide-size);
    aspect-ratio: 16/9;
    border-radius: var(--border-radius-rounded);
    overflow: hidden;
    margin: 0 auto;
}
.swp-video iframe {
    width:100%;
    height:100%;
    border:0;
}
.swp-meta-content {
    width: 100%;
    max-width: var(--content-size);
    margin: 0 auto 2rem;
}
.swp-meta-content p {
    font-size: var(--font-size-sm);
    color: var(--color-text);
    margin:0;
}
/* Modal */
.swp_modal {
    display: none;
    position: fixed;
    inset: 0;
    z-index: 9999;
    padding:1rem;
}

.swp_modal__close {
    position: absolute;
    top: -.7rem;
    right: -.7rem;
    width: 40px;
    height: 40px;
    padding: .5rem;
    border-radius: 100rem;
    border: none;
    background-color: var(--color-primary);
    color: var(--color-background);
    font-size: var(--font-size-base);
    cursor: pointer;
}

.swp_modal.is-active {
    display: block;
}

.swp_modal__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.7);
}

.swp_modal__inner {
    position: relative;
    max-width: 800px;
    margin: 5% auto;
}
.swp_modal__inner .swp-inner-video {
    aspect-ratio: 16/9;
    border-radius:1rem;
    margin: 0 0 1rem;
    overflow: hidden;
}
.swp_modal__inner .swp-inner-content {
    background-color: var(--color-background);
    padding: var(--spacing-sm);
    border-radius:1rem;
}
.swp-inner-video iframe {
    width:100%;
    height:100%;
    border:0;
}
.swp_modal__content h2 {
    margin: 0 0 .5rem;
}
@media screen and (max-width: 768px) {
    .swp_modal__content h2 {
        font-size: 18px;
    }
    .swp_modal__inner .swp-inner-content {
        font-size: 16px;
    }
    
}
.swp-meta {
    font-size: var(--font-size-sm);
    margin: 0;
}